IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_DEST_ITEM_CONS_PESSOAL_PEND ]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_DEST_ITEM_CONS_PESSOAL_PEND ]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_DEST_ITEM_CONS_PESSOAL_PEND ] ON [dbo].[EST_NFE_DEST_ITEM_CONS_PESSOAL] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_DEST_ITEM_CONS_PESSOAL_PEND (CD_CTR_DEST_ITEM_CONS_PESSOAL     , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_DEST_ITEM_CONS_PESSOAL     , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_DEST_ITEM_CONS_PESSOAL      
					FROM 
						EST_NFE_DEST_ITEM_CONS_PESSOAL_PEND pend
					WHERE 
						t.CD_CTR_DEST_ITEM_CONS_PESSOAL      = pend.CD_CTR_DEST_ITEM_CONS_PESSOAL     );



